#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActiveRewardData
{
	//编号
	int mID;
	//达成所需活跃度
	int mNeedActive;
	//没用
	std::string mName;
	//奖励物品ID
	int mItemId;
	//奖励物品数量
	int mCount;
	//图标
	std::string mIcon;
};

class M_ActiveReward
{
public:
private:
	static std::auto_ptr<M_ActiveReward> msSingleton;
public:
	int GetCount();
	const M_ActiveRewardData* GetData(int ID);
	boost::unordered_map<int, M_ActiveRewardData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActiveReward* GetSingleton();
private:
	boost::unordered_map<int, M_ActiveRewardData> mMapData;
};
